Skip to main content
POST
/
ai
/
v1
/
data
/
affiliates
/
referenced-items
Get Referenced Items for Affiliates
curl --request POST \
  --url https://platform.ai.gloo.com/ai/v1/data/affiliates/referenced-items \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "max_snippet_count_overall": 100,
  "media_types": [
    "article",
    "book"
  ],
  "min_snippet_count_per_item": 2,
  "publishers": [],
  "query": "How do I have a good marriage?",
  "certainty_threshold": 0.3,
  "item_count": 3
}
'
[
  {
    "item_id": "236ca8b8-0ef3-4c5b-b1a4-1091aa43abdd",
    "author": [
      "Dr. Michael Youssef"
    ],
    "filename": "3-ways-to-strengthen-your-marriage.txt",
    "tradition": "",
    "duration": "",
    "item_title": "3 Ways to Strengthen Your Marriage",
    "item_subtitle": "",
    "item_image": "https://ltw.org/wp-content/uploads/2024/12/3WaysStrengthenMarriageFeb2024MYJ_2000x833.png",
    "item_url": "https://ltw.org/read/article/3-ways-to-strengthen-your-marriage/",
    "item_tags": "",
    "h2_id": "6891cf39-c61a-4e9d-a548-77e57a5f47cc",
    "h2_title": "MY Journal",
    "h2_subtitle": "",
    "h2_image": "",
    "h2_url": "",
    "h2_tags": null,
    "h3_id": "c0122b21-26a2-4663-b23e-780f131cf1f9",
    "h3_title": "Marriage",
    "h3_subtitle": "",
    "h3_image": "",
    "h3_url": "",
    "h3_tags": null,
    "h2_summary": "",
    "publication_date": "February 1, 2024",
    "publisher": "Leading the Way",
    "publisher_id": "a6e849de-4972-4fc5-b5f6-6a239ed577c5",
    "publisher_url": "LeadingTheWay",
    "publisher_logo": "https://dapologeticsimages.s3.us-east-1.amazonaws.com/logos/logo_1743136797058.svg",
    "item_summary": "",
    "type": "Article",
    "hosted_url": "https://ltw.org/read/article/3-ways-to-strengthen-your-marriage/",
    "snippet_count": 2,
    "cumulative_certainty": 1.44311040639877
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Parameters for retrieving affiliate recommendations.

query
string
required

The prompt that the user enters into the application.

certainty_threshold
number
default:0.75

The minimum certainty threshold for snippets.

Required range: 0 <= x <= 1
max_snippet_count_overall
integer
default:300

The maximum number of snippets to search through overall.

media_types
enum<string>[]

The type(s) of media for the items returned.

Available options:
audio,
video,
book,
article
min_snippet_count_per_item
integer
default:1

The minimum number of snippets that must be associated with an item for it to be returned.

Required range: x >= 1
publishers
string[]

The publisher(s) whose items should be recommended.

item_count
integer

The maximum number of items to return. Items are ranked by cumulative certainty. If the available snippets span fewer items than this count, only those items are returned.

Required range: x >= 1

Response

Successful response returning a list of referenced items.

item_id
string<uuid>
author
string[]
filename
string
tradition
string
duration
string
item_title
string
item_subtitle
string
item_image
string<uri>
item_url
string<uri>
item_tags
h2_id
string
h2_title
string
h2_subtitle
string
h2_image
string<uri>
h2_url
string<uri>
h2_tags
string · null · null
h3_id
string
h3_title
string
h3_subtitle
string
h3_image
string<uri>
h3_url
string<uri>
h3_tags
string · null · null
h2_summary
string
publication_date
string
publisher
string
publisher_id
string<uuid>
publisher_url
string<uri>
item_summary
string
type
string
hosted_url
string<uri>
snippet_count
integer
cumulative_certainty
number<float>
denomination
string